document.getElementById('searchButton').addEventListener('click', function() {
  const location = document.getElementById('locationInput').value;
  if (location) {
    alert(`Searching for restaurants in ${location}...`);
    // Here you would typically make an API call to fetch restaurant data
    // For now, we'll simulate some data
    const restaurants = [
      { name: 'Healthy Bites', oil: 'Olive Oil' },
      { name: 'Veggie Delight', oil: 'Avocado Oil' },
      { name: 'Classic Diner', oil: 'Vegetable Oil' }
    ];
    displayRestaurants(restaurants);
  } else {
    alert('Please enter a location.');
  }
});

function displayRestaurants(restaurants) {
  const restaurantList = document.getElementById('restaurantList');
  restaurantList.innerHTML = '';
  restaurants.forEach(restaurant => {
    const card = document.createElement('div');
    card.className = 'restaurant-card';
    card.innerHTML = `
      <h3>${restaurant.name}</h3>
      <p>Uses: ${restaurant.oil}</p>
    `;
    restaurantList.appendChild(card);
  });
}